xine-lib: pgx64_frame_t Struct Reference

xine-lib 1.2.12

Data Fields
pgx64_frame_t Struct Reference

## Data Fields
vo_frame_t | vo_frame
int | lengths [3]
int | stripe_lengths [3]
int | stripe_offsets [3]
int | buffers [3]
int | width
int | height
int | format
int | pitch
int | native_format
int | planes
int | procs_en
double | ratio
uint8_t * | buffer_ptrs [3]

## Field Documentation

## ◆ buffer_ptrs

uint8_t* pgx64_frame_t::buffer_ptrs[3]

Referenced by pgx64_display_frame(), pgx64_frame_proc_frame(), pgx64_frame_proc_slice(), and pgx64_overlay_blend().

## ◆ buffers

int pgx64_frame_t::buffers[3]

Referenced by pgx64_display_frame().

## ◆ format

int pgx64_frame_t::format

Referenced by pgx64_display_frame(), pgx64_overlay_blend(), and pgx64_update_frame_format().

## ◆ height

int pgx64_frame_t::height

Referenced by pgx64_display_frame(), pgx64_overlay_blend(), pgx64_overlay_key_blend(), and pgx64_update_frame_format().

## ◆ lengths

int pgx64_frame_t::lengths[3]

Referenced by pgx64_display_frame(), pgx64_frame_proc_frame(), pgx64_frame_proc_slice(), and pgx64_update_frame_format().

## ◆ native_format

int pgx64_frame_t::native_format

Referenced by pgx64_display_frame(), and pgx64_update_frame_format().

## ◆ pitch

int pgx64_frame_t::pitch

Referenced by pgx64_display_frame(), and pgx64_update_frame_format().

## ◆ planes

int pgx64_frame_t::planes

Referenced by pgx64_display_frame(), pgx64_frame_proc_frame(), pgx64_frame_proc_slice(), and pgx64_update_frame_format().

## ◆ procs_en

int pgx64_frame_t::procs_en

Referenced by pgx64_display_frame(), pgx64_frame_proc_frame(), pgx64_frame_proc_slice(), and pgx64_update_frame_format().

## ◆ ratio

double pgx64_frame_t::ratio

Referenced by pgx64_display_frame(), and pgx64_update_frame_format().

## ◆ stripe_lengths

int pgx64_frame_t::stripe_lengths[3]

Referenced by pgx64_frame_proc_slice(), and pgx64_update_frame_format().

## ◆ stripe_offsets

int pgx64_frame_t::stripe_offsets[3]

Referenced by pgx64_frame_proc_slice(), and pgx64_update_frame_format().

## ◆ vo_frame

vo_frame_t pgx64_frame_t::vo_frame

Referenced by dispose_frame_internals(), pgx64_alloc_frame(), pgx64_display_frame(), pgx64_frame_proc_frame(), pgx64_frame_proc_slice(), pgx64_overlay_blend(), and pgx64_update_frame_format().

## ◆ width

int pgx64_frame_t::width

Referenced by pgx64_display_frame(), pgx64_overlay_blend(), pgx64_overlay_key_blend(), and pgx64_update_frame_format().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/video_out_pgx64.c